<template>
  <div class="services_page">
    <div class="services_wrap">
      <!-- <h3>УСЛУГИ И ЦЕНЫ</h3> -->
      <div class="flex_services_wrap">
        <div class="service" v-for="(service, index) in services" :key="service.id">
          <h4>{{service.title}}</h4>
          <div class="">
            <ol>
              <li v-for="(category, index) in service.categories" :key="category.id">
                {{category.title}}
                <ul>
                  <li v-for="(sub_category, index) in category.sub_categories" :key="sub_category.id">
                    {{sub_category.title}}
                  </li>
                </ul>
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    <div class="custom_footer">
      <my-footer></my-footer>
    </div>
  </div>
</template>


<script>
import axios from 'axios'

export default {
  name: 'service',
  data () {
    return {
      services: {},
    }
  },

  created () {
    this.$store.commit('setLoadpage', true)
    let url = this.$store.state.domain + 'services'
    axios.get(url).then(res => {
      this.services = res.data
    })
  },

  mounted: function() {
    $('.author_wrap').css('opacity', '1')
  }
}
</script>

<style>

.services_page {
    max-width: 1200px;
    margin: auto;
    text-align: center;
    margin: 40px auto 0px;
}

.services_wrap h3 {
    padding: 20px;
    font-size: 18px;
}

.services_wrap h4 {
    color: #fff;
    padding: 15px 0px;
    margin: 0px 5px;
    background: black;
    font-size: 14px;
}

.service:first-child h4, .service:last-child h4 {
    margin: 0px;
}

.flex_services_wrap {
    padding: 60px 0px;
    background-color: #fff;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
}

.service {
    max-width: 400px;
    min-width: 300px;
    flex-grow: 1;
    flex-basis: 300px;
}

.service ol {
    display: block;
    list-style-type: decimal;
    margin-top: 1em;
    margin-bottom: 1em;
    margin-left: 0px;
    padding-right: 15px;
    padding-left: 40px;
}

.service ol li {
    text-align: left;
    font-size: 12px;
    padding-left: 10px;
}

.service ol li ul {
    margin: 0;
}
.service ol li ul {
    list-style-type: none;
}
.service ol li ul > li {
    text-indent: 10px;
}
.service ol li ul > li:before {
    content: "-";
    display: inline-block;
    margin-right: 5px;
    text-indent: -5px;
}

@media screen and (max-width: 1024px) {
    .service h4 {
        margin: 0px;
    }
}
</style>
